[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#716783: weston: Create weston-launch group



On Thu, Aug 08, 2013 at 08:47:45PM +0200, Hector Oron wrote:
> Package: weston
> Tags: patch
> Followup-For: Bug #716783
> 
> Hello,
> 
>   Find attached patch for fixing the issue.

Previous patch had a typo when setting suid bit. Find attached new patch that obsoletes the old one.

Regards,
-- 
  Hector Oron
From 19f24578db5e0d7a58a858e2b8f3f74bcdfde36d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?H=C3=A9ctor=20Or=C3=B3n=20Mart=C3=ADnez?= <zumbi@debian.org>
Date: Thu, 8 Aug 2013 20:04:34 +0200
Subject: [PATCH] Add weston-launch group
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

  In order to run weston-launch, users should be part of
  weston-launch group.

Signed-off-by: Héctor Orón Martínez <zumbi@debian.org>
---
 debian/weston.postinst | 27 +++++++++++++++++++++++++++
 debian/weston.prerm    |  8 ++++++++
 2 files changed, 35 insertions(+)
 create mode 100644 debian/weston.postinst
 create mode 100644 debian/weston.prerm

diff --git a/debian/weston.postinst b/debian/weston.postinst
new file mode 100644
index 0000000..87718bb
--- /dev/null
+++ b/debian/weston.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+
+        # create weston-launch group if not already present
+        if ! getent group weston-launch > /dev/null; then
+            addgroup --system --quiet weston-launch
+        fi
+
+        if [ ! -u `which weston-launch` ]; then
+            chmod +s `which weston-launch`
+        fi
+
+        ;;
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+#DEBHELPER#
diff --git a/debian/weston.prerm b/debian/weston.prerm
new file mode 100644
index 0000000..194337e
--- /dev/null
+++ b/debian/weston.prerm
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+#DEBHELPER#
+
+if [ "$1" = "remove" ]; then
+    delgroup --system --quiet weston-launch
+fi
+
-- 
1.8.3.2

Attachment: signature.asc
Description: Digital signature


Reply to: